# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'svg_pan_zoom/version'

Gem::Specification.new do |spec|
  spec.name          = "svg_pan_zoom"
  spec.version       = SvgPanZoom::VERSION
  spec.authors       = ["Peter Le"]
  spec.email         = ["peter@peterkle.com"]

  spec.summary       = %q{Rails gem that wraps the svg-pan-zoom.js library}
  spec.description   = %q{Visit https://github.com/ariutta/svg-pan-zoom for how to use.}
  spec.homepage      = "https://github.com/peterkle/svg-pan-zoom-gem"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
end
